您尚未登录。

#1 2020-05-24 22:35:05

jingmouren
会员
注册时间: 2014-09-13
帖子: 93

错误:钩...gtk-query-immodules-3.0.hook 第 2 行:无效值 (运行事务处理钩子函数失败) 如何处理?

Manjaro删除软件时提示

错误:钩子 /usr/share/libalpm/hooks/gtk-query-immodules-3.0.hook 第 2 行:无效值 Path
错误:钩子 /usr/share/libalpm/hooks/gtk-query-immodules-2.0.hook 第 2 行:无效值 Path
错误:钩子 /usr/share/libalpm/hooks/glib-compile-schemas.hook 第 2 行:无效值 Path
错误:钩子 /usr/share/libalpm/hooks/gio-querymodules.hook 第 2 行:无效值 Path
错误:无法提交处理 (运行事务处理钩子函数失败)

其中 /usr/share/libalpm/hooks/gtk-query-immodules-3.0.hook内容为
[Trigger]
Type = Path
Operation = Install
Operation = Upgrade
Operation = Remove
Target = usr/lib/gtk-3.0/3.0.0/immodules/*.so

[Action]
Description = Probing GTK3 input method modules...
When = PostTransaction
Exec = /usr/bin/gtk-query-immodules-3.0 --update-cache

看到https://bbs.csdn.net/topics/395827405也有人提问类似问题,那边没人回答

离线

#2 2020-05-24 22:56:52

依云
会员
所在地: a.k.a. 百合仙子
注册时间: 2011-08-21
帖子: 6,218
个人网站

Re: 错误:钩...gtk-query-immodules-3.0.hook 第 2 行:无效值 (运行事务处理钩子函数失败) 如何处理?

pacman 版本过低。请确保你的 pacman 版本在 5.2.0 以上(含)。
参见: https://bugs.archlinux.org/task/53136 及 pacman 提交 39c20ad4f1d5f6e915b5be8976b6a94885ca3b0c。

离线

#3 2020-05-25 19:22:04

jingmouren
会员
注册时间: 2014-09-13
帖子: 93

Re: 错误:钩...gtk-query-immodules-3.0.hook 第 2 行:无效值 (运行事务处理钩子函数失败) 如何处理?

sudo pacman -S pacman pamac
时也报同样的错误(会升到pamac-gtk 而删除老的 pamac )
升级失败

依云 说:

pacman 版本过低。请确保你的 pacman 版本在 5.2.0 以上(含)。
参见: https://bugs.archlinux.org/task/53136 及 pacman 提交 39c20ad4f1d5f6e915b5be8976b6a94885ca3b0c。

最近编辑记录 jingmouren (2020-05-25 19:24:54)

离线

#4 2020-05-25 19:46:53

依云
会员
所在地: a.k.a. 百合仙子
注册时间: 2011-08-21
帖子: 6,218
个人网站

Re: 错误:钩...gtk-query-immodules-3.0.hook 第 2 行:无效值 (运行事务处理钩子函数失败) 如何处理?

Manjaro 官方没有什么说法么?

离线

#5 2020-05-25 20:08:47

jingmouren
会员
注册时间: 2014-09-13
帖子: 93

Re: 错误:钩...gtk-query-immodules-3.0.hook 第 2 行:无效值 (运行事务处理钩子函数失败) 如何处理?

依云 说:

Manjaro 官方没有什么说法么?

搜到这个 https://forum.manjaro.org/t/invalid-value-path/139464/2


sudo pacman -S pacman-static
sudo pacman-static -Syyu
但前一句执行还是报错

错误:钩子 /usr/share/libalpm/hooks/gtk-query-immodules-3.0.hook 第 2 行:无效值 Path
错误:钩子 /usr/share/libalpm/hooks/gtk-query-immodules-2.0.hook 第 2 行:无效值 Path
错误:钩子 /usr/share/libalpm/hooks/glib-compile-schemas.hook 第 2 行:无效值 Path
错误:钩子 /usr/share/libalpm/hooks/gio-querymodules.hook 第 2 行:无效值 Path
错误:无法提交处理 (运行事务处理钩子函数失败)
发生错误,没有软件包被更新。

离线

#6 2020-05-25 20:29:30

依云
会员
所在地: a.k.a. 百合仙子
注册时间: 2011-08-21
帖子: 6,218
个人网站

Re: 错误:钩...gtk-query-immodules-3.0.hook 第 2 行:无效值 (运行事务处理钩子函数失败) 如何处理?

你怎么找到德文版块去了 233

你用最新的 live iso 系统进去更新一下吧。是不是太久没更新导致的呀(但是 Arch 这边似乎没人遇到呢)。

离线

#7 2020-05-25 20:30:11

依云
会员
所在地: a.k.a. 百合仙子
注册时间: 2011-08-21
帖子: 6,218
个人网站

Re: 错误:钩...gtk-query-immodules-3.0.hook 第 2 行:无效值 (运行事务处理钩子函数失败) 如何处理?

其实你手动去改改那些个 hook 文件也成。

离线

#8 2020-05-25 21:29:27

jingmouren
会员
注册时间: 2014-09-13
帖子: 93

Re: 错误:钩...gtk-query-immodules-3.0.hook 第 2 行:无效值 (运行事务处理钩子函数失败) 如何处理?

依云 说:

其实你手动去改改那些个 hook 文件也成。

就是不懂这个文件的格式和规范,不会改啊

离线

#9 2020-05-25 21:36:53

依云
会员
所在地: a.k.a. 百合仙子
注册时间: 2011-08-21
帖子: 6,218
个人网站

Re: 错误:钩...gtk-query-immodules-3.0.hook 第 2 行:无效值 (运行事务处理钩子函数失败) 如何处理?

jingmouren 说:
依云 说:

其实你手动去改改那些个 hook 文件也成。

就是不懂这个文件的格式和规范,不会改啊

man 5 alpm-hooks。简单地说就是把 Path 改成 File 就行了。

离线

#10 2020-05-25 21:59:05

jingmouren
会员
注册时间: 2014-09-13
帖子: 93

Re: 错误:钩...gtk-query-immodules-3.0.hook 第 2 行:无效值 (运行事务处理钩子函数失败) 如何处理?

依云 说:

man 5 alpm-hooks。简单地说就是把 Path 改成 File 就行了。

嗯,改了后这个错没了

不过之后再用pamac装东西又报
正在解决依赖关系...
选择 libjack.so=0-32 的提供者:
1:  lib32-jack   0.125.0-3  multilib
2:  lib32-jack2  1.9.14-3   multilib

输入一个数字(默认值 = 1): 1

正在检查内部冲突...
错误: 准备事务失败:
无法满足依赖关系:
的错误

yaourt装则缺libalpm.so.11

最近编辑记录 jingmouren (2020-05-25 22:02:20)

离线

#11 2020-05-25 22:06:18

依云
会员
所在地: a.k.a. 百合仙子
注册时间: 2011-08-21
帖子: 6,218
个人网站

Re: 错误:钩...gtk-query-immodules-3.0.hook 第 2 行:无效值 (运行事务处理钩子函数失败) 如何处理?

呃,要不你还是换 Arch 吧?

离线

页脚